# Ice::Process

## Overview

### interface Process

An administrative interface for process management. Managed servers must implement this interface.

A servant implementing this interface is a potential target for denial-of-service attacks, therefore proper security precautions should be taken. For example, the servant can use a UUID to make its identity harder to guess, and be registered in an object adapter with a secured endpoint.

## Operations

### void shutdown()

Initiate a graceful shut-down.

#### See Also

Communicator::shutdown

### void writeMessage(string message, int fd)

Write a message on the process' stdout or stderr.

#### Parameters

message
  The message.
fd
  1 for stdout, 2 for stderr.